<!DOCTYPE html>
<html lang="en"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      xmlns:sd="http://www.w3.org/1999/xhtml"
      layout:decorate="~{menu_setting}">
<head>
    <meta charset="UTF-8">
    <title>Tahun Akademik List</title>
</head>
<body>
<div layout:fragment="setting" class="box-body no-padding">
    <div class="box box-primary">
        <form method="get">
            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <h3 class="box-title">Tahun Akademik List</h3>
                    </div>
                    <div class="col-md-6" align="right">
                        <!--                        Show entries <span sd:page-size-selector="javascript"></span>-->
                    </div>
                </div>
            </div>

            <div class="box-header with-border">
                <div class="row">
                    <div class="col-md-6" align="left">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <a th:href="@{/setting/tahun_akademik_matrikulasi/new}" name="tambah" type="button" class="btn btn-block btn-primary">+ Tahun Akademik</a>
                        </div>
                    </div>


                    <div class="col-md-6" align="right">
                        <div class="input-group input-group-sm" style="width: 150px;">
                            <input type="text" name="search" class="form-control pull-right" placeholder="Search">
                            <div class="input-group-btn">
                                <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </form>

        <div class="box-body table-responsive no-padding">
            <table class="table table-bordered">
                <thead>
                    <tr>
                        <th style="width: 10px">#</th>
                        <th>Kode</th>
                        <th>Nama</th>
                        <th>Tanggal Mulai Semester</th>
                        <th>Tanggal Selesai Semester</th>
                        <th colspan="2" class="text-center">Action</th>
                    </tr>
                </thead>

                <tbody>
                    <tr th:each="x,row : ${tahunAkademikMatrikulasi}">
                        <td th:text="${(row.index + 1) + (tahunAkademikMatrikulasi.number * tahunAkademikMatrikulasi.size)}"></td>
                        <td th:text="${x.tahunAkademik.kodeTahunAkademik}"></td>
                        <td th:text="${x.tahunAkademik.namaTahunAkademik}"></td>
                        <td th:text="${#temporals.format(x.tanggalMulaiSemester,'dd-MMM-yyyy')}"></td>
                        <td th:text="${#temporals.format(x.tanggalSelesaiSemester,'dd-MMM-yyyy')}"></td>
                        <td>
                            <a class="btn btn-warning btn-xs" th:href="@{/setting/tahun_akademik_matrikulasi/new(tahunMatrikulasi=${x.id})}">Edit</a>
                        </td>
                        <td>
                            <form method="post" role="form" th:action="@{/setting/tahun_akademik_matrikulasi/hapus(tahunMatrikulasi=${x.id})}">
                                <button type="submit" class="btn btn-danger btn-xs pull-right"
                                        onclick="return confirm('Are you sure want to delete this?')">
                                    Delete
                                </button>
                            </form>
                        </td>
                    </tr>
                    <tr th:if="${#lists.isEmpty(tahunAkademikMatrikulasi.content)}">
                        <td colspan="6" class="text-center">Data not found</td>
                    </tr>
                </tbody>
            </table>
        </div>
        <div class="box-footer clearfix">
            <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">
                <li class="disabled"><a href="#" aria-label="Previous"><span
                        aria-hidden="true">&laquo;</span></a>
                </li>
                <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>
                </li>
            </ul>
        </div>
    </div>
</div>
</body>
</html>